Questions and discussions about the SDK tools used to program the TD RF modules.
dandavid3000
 
Posts: 22
Joined: Fri Oct 28, 2016 12:30 pm

Upgrade new SDK to old project

by dandavid3000 Tue Nov 08, 2016 2:06 pm

Hi,

Currently I have a project working on SDK v5.0.0. TD has released a new version which is v6.0.0 and I'd like to update new SDK to my project.
My question is what is the correct way to import new SDK to my old project?

I was trying to copy new all libraries to my project and it caused problem that I couldn't solve. My project works perfectly with the old SDK.
I also tried to import new SDK from TD github and import my project inside and it caused the same problem above.

Thank you,
Dan
User avatar
mstempin
 
Posts: 168
Joined: Thu May 07, 2015 9:24 am

Re: Upgrade new SDK to old project

by mstempin Mon Nov 28, 2016 4:21 pm

The SDK provides a stable API (Application Programming Interface), not a stable ABI (Application Binary Interface). It means that binary libraries are not compatible between versions and you have to recompile them as they are compatible at the source-level.

The best way to migrate to the new SDK is to put them side by side on your C:\ drive, so you will be able to switch from one to the other without efforts. Then, launch the new SDK and import your projects into Eclipse using the File>Import. the best if you want to experiment is to make a copy of these projects instead of linking them in.
Return to Tools

Who is online

Users browsing this forum: Google [Bot] and 1 guest